#!/bin/sh
################################################################################
#                                                                              #
# Polish Kathi Team 2009                                                       #
#                                                                              #
# contact: http://pkt.sat-elita.info/                                          #
#                                                                              #
################################################################################

. /var/config/time.conf
. /var/config/language.conf

#-------------------------------------------------------------------------------
#script & language section
#-------------------------------------------------------------------------------

sleep 2

if [ $czas == on ]; then

 echo "Time ON"
 until false
  do
       dzien=`date "+%a"`
       if [ $dzien == Mon ] && [ $lang == pl ]; then
       dzien="Pon"
       elif [ $dzien == Mon ] && [ $lang == de ]; then
       dzien="Mon"
       elif [ $dzien == Mon ] && [ $lang == es ]; then
       dzien="Lun"
       fi
       if [ $dzien == Tue ] && [ $lang == pl ]; then
       dzien="Wto"
       elif [ $dzien == Tue ] && [ $lang == de ]; then
       dzien="Die"
       elif [ $dzien == Tue ] && [ $lang == es ]; then
       dzien="Mar"
       fi     
       if [ $dzien == Wed ] && [ $lang == pl ]; then
       dzien="Sro"
       elif [ $dzien == Wed ] && [ $lang == de ]; then
       dzien="Mit"
       elif [ $dzien == Wed ] && [ $lang == es ]; then
       dzien="Mie"
       fi
       if [ $dzien == Thu ] && [ $lang == pl ]; then
       dzien="Czw"
       elif [ $dzien == Thu ] && [ $lang == de ]; then
       dzien="Don"
       elif [ $dzien == Thu ] && [ $lang == es ]; then
       dzien="Jue"
       fi
       if [ $dzien == Fri ] && [ $lang == pl ]; then
       dzien="Pia"
       elif [ $dzien == Fri ] && [ $lang == de ]; then
       dzien="Fri"
       elif [ $dzien == Fri ] && [ $lang == es ]; then
       dzien="Vie"
       fi
       if [ $dzien == Sat ] && [ $lang == pl ]; then
       dzien="Sob"
       elif [ $dzien == Sat ] && [ $lang == de ]; then
       dzien="Sam"
       elif [ $dzien == Sat ] && [ $lang == de ]; then
       dzien="Sab"
       fi
       if [ $dzien == Sun ] && [ $lang == pl ]; then
       dzien="Nie"
       elif [ $dzien == Sun ] && [ $lang == de ]; then
       dzien="Son"
       elif [ $dzien == Sun ] && [ $lang == es ]; then
       dzien="Dom"
       fi
       godz=`date "+%H:%M"`
       data=`date "+%d.%m"`
       echo $godz $dzien $data  > /dev/dbox/fp0

    sleep 1
       godz=`date "+%H %M"`
       data=`date "+%d.%m"`
       echo $godz $dzien $data  > /dev/dbox/fp0
    sleep 1
 done



else
    echo "Time OFF"
    echo "" > /dev/dbox/fp0
fi

exit 0
